%{?nodejs_find_provides_and_requires}

%global packagename umd
%global enable_tests 1

Name:		nodejs-umd
Version:	3.0.1
Release:	1%{?dist}
Summary:	Universal Module Definition for use in automated build systems

License:	MIT
URL:		https://github.com/ForbesLindesay/umd.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh
# License file
Source11:	https://raw.githubusercontent.com/ForbesLindesay/umd/%{version}/LICENSE


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Universal Module Definition for use in automated build systems


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# setup the examples
%autosetup -T -D -a 2 -n package
# copy the license file
cp -p %{SOURCE11} .



%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js bin/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md examples/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Jul 11 2016 Jared Smith <jsmith@fedoraproject.org> - 3.0.1-1
- Initial packaging
